function executar_acao_playlist( codigo,acao ) {
	
	if(acao == "") {
		alert("Escolha a ação a ser executada!");
	} else if(acao == "iniciar") {
		iniciar_playlist( codigo );
	} else if(acao == "gerenciar") {
		window.location = "/gerenciar-playlists/"+codigo;
	} else if(acao == "gerenciar-basico") {
		window.location = "/gerenciar-playlists-basico/"+codigo;
	} else if(acao == "duplicar") {
		duplicar_playlist( codigo );
	} else if(acao == "intercalar-musicas") {
		window.location = "/gerenciar-playlists-intercalar-musicas/"+codigo;
	} else if(acao == "hora-certa-configurar") {
		window.location = "/gerenciar-playlists-hora-certa/"+codigo;
	} else if(acao == "hora-certa-remover") {
		
		if(window.confirm("Remover?\nRemove?\nBorrar?")) {
			remover_hora_certa_playlist( codigo );
		}
	} else if(acao == "vinhetas-comerciais-configurar") {
		window.location = "/gerenciar-playlists-vinhetas-comerciais/"+codigo;
	} else if(acao == "vinhetas-comerciais-remover") {
		
		if(window.confirm("Remover?\nRemove?\nBorrar?")) {
			remover_vinhetas_comerciais_playlist( codigo );
		}
	} else if(acao == "remover") {
			remover_playlist( codigo );
	}

	document.getElementById(codigo).value = "";
}

// Função para mascarar campos
function txtBoxFormat(objeto, sMask, evtKeyPress) {
    var i, nCount, sValue, fldLen, mskLen,bolMask, sCod, nTecla;

if(document.all) { // Internet Explorer
    nTecla = evtKeyPress.keyCode;
} else if(document.layers) { // Nestcape
    nTecla = evtKeyPress.which;
} else {
    nTecla = evtKeyPress.which;
    if (nTecla == 8) {
        return true;
    }
}

    sValue = objeto.value;

    // Limpa todos os caracteres de formatação que
    // já estiverem no campo.
    sValue = sValue.toString().replace( "-", "" );
    sValue = sValue.toString().replace( "-", "" );
    sValue = sValue.toString().replace( ".", "" );
    sValue = sValue.toString().replace( ".", "" );
    sValue = sValue.toString().replace( "/", "" );
    sValue = sValue.toString().replace( "/", "" );
    sValue = sValue.toString().replace( ":", "" );
    sValue = sValue.toString().replace( ":", "" );
    sValue = sValue.toString().replace( "(", "" );
    sValue = sValue.toString().replace( "(", "" );
    sValue = sValue.toString().replace( ")", "" );
    sValue = sValue.toString().replace( ")", "" );
    sValue = sValue.toString().replace( " ", "" );
    sValue = sValue.toString().replace( " ", "" );
    fldLen = sValue.length;
    mskLen = sMask.length;

    i = 0;
    nCount = 0;
    sCod = "";
    mskLen = fldLen;

    while (i <= mskLen) {
      bolMask = ((sMask.charAt(i) == "-") || (sMask.charAt(i) == ".") || (sMask.charAt(i) == "/") || (sMask.charAt(i) == ":"))
      bolMask = bolMask || ((sMask.charAt(i) == "(") || (sMask.charAt(i) == ")") || (sMask.charAt(i) == " "))

      if (bolMask) {
        sCod += sMask.charAt(i);
        mskLen++; }
      else {
        sCod += sValue.charAt(nCount);
        nCount++;
      }

      i++;
    }

    objeto.value = sCod;

    if (nTecla != 8) { // backspace
      if (sMask.charAt(i-1) == "9") { // apenas números...
        return ((nTecla > 47) && (nTecla < 58)); }
      else { // qualquer caracter...
        return true;
      }
    }
    else {
      return true;
    }
}

// Função para bloquear acentos
function bloquear_acentos( texto ) {
	
	if(texto.value.match(['[-@!#$%¨&*+_´`^~;:?áàãâäéèêëíìîïóòõôöúùûüçÁÀÃÂÄÉÈÊËÍÌÎÏÓÒÕÖÔÚÙÛÜÇ|\?,./{}"<>()]'])) {
		alert( "Atenção! Nâo use acentos ou carácteres especiais." );
		texto.value = texto.value.substring( 0 , ( texto.value.length - 1 ) );
	}
}

// Função para contar a quantidade de caracteres digitados num campo
function contar_caracteres( campo, maximo ) {
	
	var total_digitado = document.getElementById(campo).value.length;	
	document.getElementById('total_caracteres').innerHTML = maximo - total_digitado;

}

// Função para bloquear teclacapslock
function bloquear_capslock(ev,campo) {

	var e = ev || window.event;
	codigo_tecla = e.keyCode?e.keyCode:e.which;
	tecla_shift = e.shiftKey?e.shiftKey:((codigo_tecla == 16)?true:false);
	if(((codigo_tecla >= 65 && codigo_tecla <= 90) && !tecla_shift) || ((codigo_tecla >= 97 && codigo_tecla <= 122) && tecla_shift)) {
		alert("Ooops!\n\nA tecla CapsLock esta ativada!\n\nVocê deve desativar esta tecla para escrever corretamente os dados neste campo.");
		document.getElementById(campo).value = "";
	}

}

function abreviar(str, size) {

    if(str.length >= size){
        shortText = str.substring(0, size);
		shortText = shortText+"...";
    } else {
		shortText = str;
	}
	
    return shortText;
} 

function s2time(seconds){
  
  	var sec_num = parseInt(seconds);
    var hours   = Math.floor(sec_num / 3600);
  	var minutes = Math.floor((sec_num - (hours * 3600)) / 60);
  	var seconds = sec_num - (hours * 3600) - (minutes * 60);        
  	if (hours   < 10) {hours   = "0"+hours;}
  	if (minutes < 10) {minutes = "0"+minutes;}
  	if (seconds < 10) {seconds = "0"+seconds;}
  	var time    = hours+':'+minutes+':'+seconds;
  	return time;
  
}


function removeRow(id) {
  var tr = document.getElementById(id);
  if (tr) {
    if (tr.nodeName == 'TR') {
      var tbl = tr; // Look up the hierarchy for TABLE
      while (tbl != document && tbl.nodeName != 'TABLE') {
        tbl = tbl.parentNode;
      }

      if (tbl && tbl.nodeName == 'TABLE') {
        while (tr.hasChildNodes()) {
          tr.removeChild( tr.lastChild );
        }
      tr.parentNode.removeChild( tr );
      }
    }
  }
}

function youtube_parser(url) {
    var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
    var match = url.match(regExp);
    return (match&&match[7].length==11)? match[7] : false;
}

function copiar_texto(texto) {

	var textArea = document.createElement("textarea");
    textArea.value = texto;
    document.body.appendChild(textArea);
    textArea.select();
    document.execCommand("Copy");
    textArea.remove();
}
function verificar_restricao_dias_semana() {

	if (!document.querySelectorAll('input[type="checkbox"]:checked').length) {
	alert("Ooops!\n\n<?php echo $lang['lang_acao_gerenciador_djs_resultado_alerta_restricao_dias_semana']; ?>");
	return false;
	}

}

function limitTextarea(textarea, maxLines) {
        var lines = textarea.value.replace(/\r/g, '').split('\n'), lines_removed, i;
        if (maxLines && lines.length > maxLines) {
            lines = lines.slice(0, maxLines);
            lines_removed = 1
        }

            if (lines_removed) {
                textarea.value = lines.join('\n')
            }
}

function valida_opcoes_frequencia( frequencia ) {
  
document.getElementById("data").disabled = true;

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = true;
}

if(frequencia == "1") {
document.getElementById("data").disabled = false;
}

if(frequencia == "3") {

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = false;
}

}

}

function valida_opcoes_frequencia_agendamento( frequencia ) {
  
document.getElementById("data").disabled = true;

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = true;
}

if(frequencia == "1") {
document.getElementById("data").disabled = false;
}

if(frequencia == "3") {

for(var cont = 0; cont < document.agendamentos.dias.length; cont++) {
document.agendamentos.dias[cont].disabled = false;
}

}

}